TFTPD(8C)

NAME
tftpd - DARPA Trivial File Transfer Protocol server

SYNOPSIS
/usr/sbin/tftpd [-s] [ homedir ]

DESCRIPTION
tftpd is a server that supports the DARPA Trivial File Transfer Protocol (TFTP). This server is normally started by inetd(8) and operates at the port indicated in the tftp Internet service description in the /etc/inetd.conf file; see inetd.conf(5) for details.

Before responding to a request, the server attempts to change its current directory to homedir; the default value is /tftpboot.

OPTIONS

-s  Secure. When specified, the directory change must succeed; and the daemon also changes its root directory to homedir.

    The use of tftp does not require an account or password on the remote system. Due to the lack of authentication information, tftpd will allow only publicly readable files to be accessed. Files may be written only if they already exist and are publicly writable. Note that this extends the concept of ``public'' to include all users on all hosts that can be reached through the network; this may not be appropriate on all systems, and its implications should be considered before enabling this service.

tftpd runs with the user ID and group ID set to -2, under the assumption that no files exist with that owner or group. However, nothing checks this assumption or enforces this restriction.

SEE ALSO
inetd(8), tftp(1C)

Sollins, K.R., ``The TFTP Protocol (Revision 2),'' RFC 783, Network Information Center, SRI International, Menlo Park, Calif., June 1981.